Bug 740530

Summary: Backlight control on HP Pavilion dv6 3141sl notebook doesn't work
Product: [Fedora] Fedora Reporter: Silvio <tnw513>
Component: gnome-power-managerAssignee: Richard Hughes <hughsient>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 15CC: gregor, hughsient, rhughes, sanjay.ankur
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-07 12:19:30 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Silvio 2011-09-22 07:24:57 EDT
Description of problem:

Backlight control on HP Pavilion dv6 3141sl notebook doesn't work using
function keys or Gnome power management applet.

uname -a
Linux TNW513 2.6.40.4-5.fc15.x86_64 #1 SMP Tue Aug 30 14:38:32 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux


lsmod
Module                  Size  Used by
fuse                   62381  3 
8021q                  17170  0 
garp                    6075  1 8021q
stp                     1927  1 garp
llc                     4738  2 garp,stp
cpufreq_ondemand        5934  8 
acpi_cpufreq            9536  1 
mperf                   1449  1 acpi_cpufreq
ip6t_REJECT             3992  2 
nf_conntrack_ipv6       7730  1 
nf_defrag_ipv6          9083  1 nf_conntrack_ipv6
ip6table_filter         1655  1 
ip6_tables             16908  1 ip6table_filter
nf_conntrack_ipv4       8358  1 
nf_defrag_ipv4          1513  1 nf_conntrack_ipv4
xt_state                1306  2 
nf_conntrack           67613  3 nf_conntrack_ipv6,nf_conntrack_ipv4,xt_state
rfcomm                 59295  4 
bnep                   14635  2 
arc4                    1417  2 
snd_hda_codec_hdmi     22499  1 
snd_hda_codec_idt      56485  1 
ath9k                  98147  0 
mac80211              247332  1 ath9k
ath9k_common            2496  1 ath9k
ath9k_hw              271229  2 ath9k,ath9k_common
ath                    15098  2 ath9k,ath9k_hw
snd_hda_intel          23896  2 
snd_hda_codec          82508  3 snd_hda_codec_hdmi,snd_hda_codec_idt,snd_hda_intel
snd_hwdep               6328  1 snd_hda_codec
snd_seq                52322  0 
snd_seq_device          5941  1 snd_seq
btusb                  14828  2 
snd_pcm                78424  3 snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec
cfg80211              148129  3 ath9k,mac80211,ath
bluetooth             191587  23 rfcomm,bnep,btusb
hp_wmi                  8103  0 
sparse_keymap           3358  1 hp_wmi
rfkill                 16436  5 bluetooth,cfg80211,hp_wmi
snd_timer              19372  2 snd_seq,snd_pcm
snd                    63380  13 snd_hda_codec_hdmi,snd_hda_codec_idt,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
soundcore               6267  1 snd
snd_page_alloc          7343  2 snd_hda_intel,snd_pcm
uvcvideo               57089  0 
videodev               72104  1 uvcvideo
media                  11611  2 uvcvideo,videodev
v4l2_compat_ioctl32     7377  1 videodev
hp_accel               14480  0 
lis3lv02d              11456  1 hp_accel
iTCO_wdt               13000  0 
i7core_edac            16001  0 
i2c_i801                9237  0 
edac_core              40186  3 i7core_edac
r8169                  38146  0 
iTCO_vendor_support     2578  1 iTCO_wdt
mii                     4335  1 r8169
microcode              18587  0 
joydev                  9615  0 
input_polldev           3382  1 lis3lv02d
ipv6                  284570  35 ip6t_REJECT,nf_conntrack_ipv6,nf_defrag_ipv6
wmi                     9033  1 hp_wmi
video                  12340  0 
radeon                690599  3 
ttm                    55273  1 radeon
drm_kms_helper         26474  1 radeon
drm                   193923  5 radeon,ttm,drm_kms_helper
i2c_algo_bit            4974  1 radeon
i2c_core               25712  6 videodev,i2c_i801,radeon,drm_kms_helper,drm,i2c_algo_bit



lspci
00:00.0 Host bridge: Intel Corporation Core Processor DMI (rev 11)
00:03.0 PCI bridge: Intel Corporation Core Processor PCI Express Root Port 1 (rev 11)
00:08.0 System peripheral: Intel Corporation Core Processor System Management Registers (rev 11)
00:08.1 System peripheral: Intel Corporation Core Processor Semaphore and Scratchpad Registers (rev 11)
00:08.2 System peripheral: Intel Corporation Core Processor System Control and Status Registers (rev 11)
00:08.3 System peripheral: Intel Corporation Core Processor Miscellaneous Registers (rev 11)
00:10.0 System peripheral: Intel Corporation Core Processor QPI Link (rev 11)
00:10.1 System peripheral: Intel Corporation Core Processor QPI Routing and Protocol Registers (rev 11)
00:16.0 Communication controller: Intel Corporation 5 Series/3400 Series Chipset HECI Controller (rev 06)
00:1a.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 05)
00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 05)
00:1c.0 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 (rev 05)
00:1c.1 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 2 (rev 05)
00:1d.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 05)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev a5)
00:1f.0 ISA bridge: Intel Corporation Mobile 5 Series Chipset LPC Interface Controller (rev 05)
00:1f.2 SATA controller: Intel Corporation 5 Series/3400 Series Chipset 4 port SATA AHCI Controller (rev 05)
00:1f.3 SMBus: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller (rev 05)
01:00.0 VGA compatible controller: ATI Technologies Inc Madison [AMD Radeon HD 5000M Series]
01:00.1 Audio device: ATI Technologies Inc Redwood HDMI Audio [Radeon HD 5600 Series]
02:00.0 Network controller: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) (rev 01)
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 03)
7f:00.0 Host bridge: Intel Corporation Core Processor QuickPath Architecture Generic Non-Core Registers (rev 04)
7f:00.1 Host bridge: Intel Corporation Core Processor QuickPath Architecture System Address Decoder (rev 04)
7f:02.0 Host bridge: Intel Corporation Core Processor QPI Link 0 (rev 04)
7f:02.1 Host bridge: Intel Corporation Core Processor QPI Physical 0 (rev 04)
7f:03.0 Host bridge: Intel Corporation Core Processor Integrated Memory Controller (rev 04)
7f:03.1 Host bridge: Intel Corporation Core Processor Integrated Memory Controller Target Address Decoder (rev 04)
7f:03.4 Host bridge: Intel Corporation Core Processor Integrated Memory Controller Test Registers (rev 04)
7f:04.0 Host bridge: Intel Corporation Core Processor Integrated Memory Controller Channel 0 Control Registers (rev 04)
7f:04.1 Host bridge: Intel Corporation Core Processor Integrated Memory Controller Channel 0 Address Registers (rev 04)
7f:04.2 Host bridge: Intel Corporation Core Processor Integrated Memory Controller Channel 0 Rank Registers (rev 04)
7f:04.3 Host bridge: Intel Corporation Core Processor Integrated Memory Controller Channel 0 Thermal Control Registers (rev 04)
7f:05.0 Host bridge: Intel Corporation Core Processor Integrated Memory Controller Channel 1 Control Registers (rev 04)
7f:05.1 Host bridge: Intel Corporation Core Processor Integrated Memory Controller Channel 1 Address Registers (rev 04)
7f:05.2 Host bridge: Intel Corporation Core Processor Integrated Memory Controller Channel 1 Rank Registers (rev 04)
7f:05.3 Host bridge: Intel Corporation Core Processor Integrated Memory Controller Channel 1 Thermal Control Registers (rev 04)
Comment 1 Richard Hughes 2011-11-15 08:52:28 EST
What does xbacklight print? And "ls /sys/class/backlight/" Thanks.
Comment 2 Ankur Sinha (FranciscoD) 2011-11-15 12:33:02 EST
Hi,

I experience the same issue. The function keys don't change the backlight, neither does the "screen" utility in gnome shell. While using the function keys, the OSD boxes come up and show the slider changing, but backlight doesn't change. 

This is F16 x86_64. 

xbacklight prints *nothing*
[root@ankur ~]# xbacklight 
[root@ankur ~]# 

Here's the output of the ls command:

[root@ankur ~]# ls /sys/class/backlight/ -lash
total 0
0 drwxr-xr-x.  2 root root 0 Nov 16  2011 .
0 drwxr-xr-x. 48 root root 0 Nov 16  2011 ..
0 lrwxrwxrwx.  1 root root 0 Nov 15 22:47 acpi_video0 -> ../../devices/pci0000:00/0000:00:01.0/0000:01:00.0/backlight/acpi_video0


I'll be happy to provide whatever other info you need Richard. 

Thanks,
Ankur
Comment 3 Silvio 2011-11-15 15:07:00 EST
hi, thanks for the reply:

this is:

[root@TNW513 ~]# xbacklight
bash: xbacklight: command not found...

and:

[root@TNW513 ~]# ls /sys/class/backlight/
acpi_video0  acpi_video1

thanks,
Silvio

PS: I resolved with

watch -n 1 -t "cat /sys/class/backlight/acpi_video1/brightness > /sys/class/backlight/acpi_video0/brightness" & 

but I don't like it...
Comment 4 Gregor Hlawacek 2011-11-15 16:33:46 EST
the same here for an pavilion dv6 however. acpi0 is dead in my case and I need to adjust the brightness via the intel branch under backlight. Problem is the above workaround (besides being nasty) doesn't work for me because this expects values up to 4000 something the values in acpi1 are much smaller.

Gregor
Comment 5 Fedora End Of Life 2012-08-07 12:19:32 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping